Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.ui.syncpeer
Interface TreeRenderer.EventSupportCallBack

Enclosing class:
  TreeRenderer

    public static interface TreeRenderer.EventSupportCallBack

`EventSupportCallBack` is a callback that is used to call back to the caller and get it to add "event handling" code to the renderer elements. That this render helper does not need to know about the gory detaiuls of event creation.

Method Summary
`java.lang.String` | `onExpandoCell(RenderingContext rc, CssStyle cssStyle, org.w3c.dom.Element cellElement, Tree tree, java.lang.Object treeNode, TreePath treeNodePath)` This is called to put event support on the "expando" cell, which is the plus/minus cell for exapnding tree nodes.
`java.lang.String` | `onNodeComponentCell(RenderingContext rc, CssStyle cssStyle, org.w3c.dom.Element cellElement, Tree tree, java.lang.Object treeNode, TreePath treeNodePath)` This is called to put event support on the "node component" cell.
`java.lang.String` | `onNodeIconCell(RenderingContext rc, CssStyle cssStyle, org.w3c.dom.Element cellElement, Tree tree, java.lang.Object treeNode, TreePath treeNodePath)` This is called to put event support on the "node icon" cell, which is the icon next to the node text.
`java.lang.String` | `onNodeTextCell(RenderingContext rc, CssStyle cssStyle, org.w3c.dom.Element cellElement, Tree tree, java.lang.Object treeNode, TreePath treeNodePath)` This is called to put event support on the "node text" cell.
`void` | `onTreeRow(RenderingContext rc, CssStyle cssStyle, org.w3c.dom.Element treeElement, Tree tree, TreePath treeNodePath)` This is called to put event support on the "tree row" element.

Method Detail

### onExpandoCell

    java.lang.String onExpandoCell(RenderingContext rc,
                                   CssStyle cssStyle,
                                   org.w3c.dom.Element cellElement,
                                   Tree tree,
                                   java.lang.Object treeNode,
                                   TreePath treeNodePath)

  This is called to put event support on the "expando" cell, which is the plus/minus cell for exapnding tree nodes. You should return the unique identifier for this element.

### onNodeIconCell

    java.lang.String onNodeIconCell(RenderingContext rc,
                                    CssStyle cssStyle,
                                    org.w3c.dom.Element cellElement,
                                    Tree tree,
                                    java.lang.Object treeNode,
                                    TreePath treeNodePath)

  This is called to put event support on the "node icon" cell, which is the icon next to the node text. You should return the unique identifier for this element.

### onNodeTextCell

    java.lang.String onNodeTextCell(RenderingContext rc,
                                    CssStyle cssStyle,
                                    org.w3c.dom.Element cellElement,
                                    Tree tree,
                                    java.lang.Object treeNode,
                                    TreePath treeNodePath)

  This is called to put event support on the "node text" cell. You should return the unique identifier for this element.

### onNodeComponentCell

    java.lang.String onNodeComponentCell(RenderingContext rc,
                                         CssStyle cssStyle,
                                         org.w3c.dom.Element cellElement,
                                         Tree tree,
                                         java.lang.Object treeNode,
                                         TreePath treeNodePath)

  This is called to put event support on the "node component" cell. this is the node that contains a component as child (as opposed to an icon/text). You should return the unique identifier for this element.

### onTreeRow

    void onTreeRow(RenderingContext rc,
                   CssStyle cssStyle,
                   org.w3c.dom.Element treeElement,
                   Tree tree,
                   TreePath treeNodePath)

  This is called to put event support on the "tree row" element.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD